"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var _File_lastModified, _File_name;
Object.defineProperty(exports, "__esModule", { value: true });
exports.File = void 0;
const index_js_1 = require("./index.js");
const _File = class File extends index_js_1.Blob {
    /**
     * @param {*[]} fileBits
     * @param {string} fileName
     * @param {{lastModified?: number, type?: string}} options
     */ // @ts-ignore
    constructor(fileBits, fileName, options = {}) {
        if (arguments.length < 2) {
            throw new TypeError(`Failed to construct 'File': 2 arguments required, but only ${arguments.length} present.`);
        }
        super(fileBits, options);
        _File_lastModified.set(this, 0);
        _File_name.set(this, ''
        /**
         * @param {*[]} fileBits
         * @param {string} fileName
         * @param {{lastModified?: number, type?: string}} options
         */ // @ts-ignore
        );
        if (options === null)
            options = {};
        // Simulate WebIDL type casting for NaN value in lastModified option.
        const lastModified = options.lastModified === undefined ? Date.now() : Number(options.lastModified);
        if (!Number.isNaN(lastModified)) {
            __classPrivateFieldSet(this, _File_lastModified, lastModified, "f");
        }
        __classPrivateFieldSet(this, _File_name, String(fileName), "f");
    }
    get name() {
        return __classPrivateFieldGet(this, _File_name, "f");
    }
    get lastModified() {
        return __classPrivateFieldGet(this, _File_lastModified, "f");
    }
    get [(_File_lastModified = new WeakMap(), _File_name = new WeakMap(), Symbol.toStringTag)]() {
        return 'File';
    }
    static [Symbol.hasInstance](object) {
        return !!object && object instanceof index_js_1.Blob &&
            /^(File)$/.test(object[Symbol.toStringTag]);
    }
};
/** @type {typeof globalThis.File} */ // @ts-ignore
exports.File = _File;
//# sourceMappingURL=file.js.map